
From: Andrew Morton <akpm@osdl.org>

Cc: Pavel Machek <pavel@suse.cz>
Cc: Joseph Fannin <jfannin@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/chipsfb.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/chipsfb.c~swsusp-switch-pm_message_t-to-struct-chipsfb-fixes drivers/video/chipsfb.c
--- devel/drivers/video/chipsfb.c~swsusp-switch-pm_message_t-to-struct-chipsfb-fixes	2005-07-16 19:26:35.000000000 -0700
+++ devel-akpm/drivers/video/chipsfb.c	2005-07-16 19:27:45.000000000 -0700
@@ -462,9 +462,9 @@ static int chipsfb_pci_suspend(struct pc
 {
         struct fb_info *p = pci_get_drvdata(pdev);
 
-	if (state == pdev->dev.power.power_state)
+	if (state.event == pdev->dev.power.power_state.event)
 		return 0;
-	if (state != PM_SUSPEND_MEM)
+	if (state.event != PM_SUSPEND_MEM)
 		goto done;
 
 	acquire_console_sem();
_
